***Use this do-file to create data appdendix graphs and statistics***
clear
use "../Analysis Data/Final_Data.dta", replace 
capture mkdir "../Graphs"
*Name* 
tab Name
*Age*
destring Age, replace 
sum Age
tabstat Age, stat(min, p25, p50, p75, max) 
histogram Age, title ("Age")
graph save "../Graphs/Age Histogram.gph", replace
*avg_war*
sum avg_war
tabstat avg_war, stat(min, p25, p50, p75, max) 
histogram avg_war, title("Average WAR")
graph save "../Graphs/Avg_war Histogram.gph", replace
*ID: no graphs make sense to make for this variable, because it is the unique identifier*
*length
sum length
tabstat length, stat(min, p25, p50, p75, max) 
histogram length, title ("Contract Length")
graph save "../Graphs/length Histogram.gph", replace
*totalvalue*
sum totalvalue
tabstat totalvalue, stat(min, p25, p50, p75, max) 
histogram totalvalue, title ("Total Contract Value") 
graph save "../Graphs/totalvalue Histogram.gph", replace
*year*
graph bar, over(year) title("year")
graph save "../Graphs/year Bar Graph.gph", replace 
tab year 
*lnavgannual*
sum lnavgannual
tabstat lnavgannual, stat(min, p25, p50, p75, max) 
histogram lnavgannual, title ("Ln Average Annual Salary")
graph save "../Graphs/lnavgannual Histogram.gph", replace 
*Nonwhite*
graph bar, over(Nonwhite) title("Nonwhite")
graph save "../Graphs/Nonwhite Bar Graph.gph", replace
tab Nonwhite
